List all of the library variable sets in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name
GET /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Query Parameters
contentTypestring
Filters by the purpose of the set: ‘Variables’ for ordinary variable sets or ‘ScriptModule’ for script modules. Omit to return both.idsarray of stringnamestring
The exact name of a Library Variable Set to be matched.partialNamestringskipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — All of the library variable sets in the supplied Octopus Deploy Space. The results will be sorted alphabetically by name.
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{}
],
"VariableSetId": "string",
"Version": 0
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new library variable set
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Request Body
ContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
A description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Namestring (required)
The name of this variable set. This should be short, preferably 5-20 characters. Minimum length 1.SpaceIdstring (required)Templatesarray of object
Variable templates for tenant-specific values: each template defines a variable (name, label, help text, control type and default value) that every tenant connected to a linked project must supply a value for. Leave empty unless working with tenants.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
Response
201 — Created
ContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Request
{
"ContentType": "Variables",
"Description": "string",
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
]
}Example Response
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"VariableSetId": "string",
"Version": 0
}Get a list of Library Variable Sets
GET /api
Also reachable at /api, /api.
Lists all the Library Variable Sets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
contentTypestring
A content type use to filter Library Variable Sets.idsarray of string
A list of Library Variable Set ids used to filter.
Response
200 — Requested list of Library Variable Sets
ContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Response
[
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {},
"DisplaySettings": {},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"VariableSetId": "string",
"Version": 0
}
]Get a list of Library Variable Sets
GET /api
Also reachable at /api, /api.
Lists all the Library Variable Sets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
contentTypestring
A content type use to filter Library Variable Sets.idsarray of string
A list of Library Variable Set ids used to filter.
Response
200 — Requested list of Library Variable Sets
LibraryVariableSetsarray of objectContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Response
{
"LibraryVariableSets": [
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{}
],
"VariableSetId": "string",
"Version": 0
}
]
}Get a list of Library Variable Sets
POST /api
Lists all the Library Variable Sets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
contentTypestring
A content type use to filter Library Variable Sets.idsarray of string
A list of Library Variable Set ids used to filter.
Response
200 — Requested list of Library Variable Sets
LibraryVariableSetsarray of objectContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Response
{
"LibraryVariableSets": [
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{}
],
"VariableSetId": "string",
"Version": 0
}
]
}Get a list of Library Variable Sets
POST /api
Also reachable at /api.
Lists all the Library Variable Sets in the supplied Space. The results will be sorted alphabetically by name.
Path Parameters
spaceIdentifierstring (required)
Identifier (ID or slug) of the space.
Query Parameters
contentTypestring
A content type use to filter Library Variable Sets.idsarray of string
A list of Library Variable Set ids used to filter.
Response
200 — Requested list of Library Variable Sets
LibraryVariableSetsarray of objectContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Response
{
"LibraryVariableSets": [
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{}
],
"VariableSetId": "string",
"Version": 0
}
]
}Get a Library Variable Set by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Library Variable Set to load.spaceIdstring (required)
Response
200 — The Library Variable Set with matching ID.
ContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Response
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"VariableSetId": "string",
"Version": 0
}Modify an existing library variable set
PUT /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the library variable set.spaceIdstring (required)
Request Body
DescriptionstringIdstring (required)
The ID of the library variable set.Namestring (required)
Minimum length 1.SpaceIdstring (required)Templatesarray of objectDefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
Versioninteger
Response
200 — The modified library variable set.
ContentTypeenum
Describes the purpose of the variable set. Clients can use this to offer an editing experience appropriately.
Allowed values:Variables,ScriptModule.Descriptionstring
Gets or sets a description of this variable set that explains the purpose of the variable set to other users. This field may contain markdown.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.Namestring
Gets or sets the name of this variable set. This should be short, preferably 5-20 characters.SpaceIdstringTemplatesarray of object
Gets the variable templates.DefaultValueobjectDisplaySettingsobjectHelpTextstringIdstringLabelstringNamestring
VariableSetIdstring
Gets or sets the id of the associated variable set.Versioninteger
Gets or sets the version number.
Example Request
{
"Description": "string",
"Id": "LibraryVariableSets-1",
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"Version": 0
}Example Response
{
"ContentType": "Variables",
"Description": "string",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"SpaceId": "Spaces-1",
"Templates": [
{
"DefaultValue": {
"IsSensitive": true,
"SensitiveValue": {},
"Value": "string"
},
"DisplaySettings": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"HelpText": "string",
"Id": "string",
"Label": "string",
"Name": "string"
}
],
"VariableSetId": "string",
"Version": 0
}Delete an existing Library Variable Set
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Library Variable Set to delete.spaceIdstring (required)
Response
200 — Success
List projects and deployments which are using an library variable set
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
The ID of the Library Variable Set.spaceIdstring (required)
The ID of the space.
Response
200 — The usages of the library variable set.
CountOfProjectsUserCannotSeeintegerCountOfReleasesUserCannotSeeintegerCountOfRunbookSnapshotsUserCannotSeeintegerProjectsarray of objectIsCurrentlyBeingUsedInProjectbooleanProjectIdstringProjectNamestringProjectSlugstringReleasesarray of objectRunbookSnapshotsarray of object
Example Response
{
"CountOfProjectsUserCannotSee": 0,
"CountOfReleasesUserCannotSee": 0,
"CountOfRunbookSnapshotsUserCannotSee": 0,
"Projects": [
{
"IsCurrentlyBeingUsedInProject": true,
"ProjectId": "Projects-1",
"ProjectName": "string",
"ProjectSlug": "string",
"Releases": [
{}
],
"RunbookSnapshots": [
{}
]
}
]
}